{if $list_title}
	<div style="padding-left:4px;font-size: 1.2em;font-weight:bold;float:left;">{$list_title}</div>
{/if}

{if $list_subtitle}
	<div style="padding-left:4px;font-size: 1.0em; font-style:italic;clear:both;">{$list_subtitle}</div>
{/if}

{if !$tpl_hide_header}
	{if $help.show}
		<div align="left" style="float: left; padding-left: 5px;">
			{$help.link}
		</div>
	{/if}

	<div align="right" style="float:right;">
	{$stats.start} - {$stats.end} {$stats.oftotal} {$stats.total}
	&nbsp;&nbsp;&nbsp;

	{if $show_page_select}
		{$show_page_select_label}: 
		<select name="sel_list_page" size="0" onchange="sendReq('../{$module}/inc/ajax.php', 'action,set_start,sesid', 'setstart,'+this.options[this.selectedIndex].value+',{$sesid}', do_element);">
		{html_options values=$show_page_values output=$show_page_output selected=$show_page_selected}
		</select>
		&nbsp;&nbsp;&nbsp;
	{/if}


	{if $paging.prev neq ""}
		<a href="{$paging.prev}">
		<img src="{$ko_path}images/icon_arrow_left.png" border="0" alt="{$label_list_back}" title="{$label_list_back}" />
		</a>
	{else}
		<img src="{$ko_path}images/icon_arrow_left_disabled.png" border="0" alt="{$label_list_back}" title="{$label_list_back}" />
	{/if}

	{if $paging.next neq ""}
		<a href="{$paging.next}">
		<img src="{$ko_path}images/icon_arrow_right.png" border="0" alt="{$label_list_next}" title="{$label_list_next}" />
		</a>
	{else}
		<img src="{$ko_path}images/icon_arrow_right_disabled.png" border="0" alt="{$label_list_next}" title="{$label_list_next}" />
	{/if}
	&nbsp;

	</div>
	<br clear="all" />
{/if}

<table width="100%">
<tr>
{assign var="edit_cols_num" value=0}
{foreach from=$edit_cols item=col}
	{if $col == "chk"}
		{assign var="edit_cols_num" value=$edit_cols_num+1}
		<th class="ko_list">
		{if $list_check_disabled}
			&nbsp;
		{else}
			<img src="{$ko_path}images/icon_checked.gif" border="0" width="13" height="13" title="{$label_list_check}" alt="{$label_list_check}" onclick="select_all_list_chk();" />
		{/if}
		</th>
	{/if}
	{if $col == "chk2"}
		{assign var="edit_cols_num" value=$edit_cols_num+1}
		<th class="ko_list">
		<img src="{$ko_path}images/icon_familie.png" border="0" width="16" height="16" title="{$label_list_check_family}" alt="{$label_list_check_family}" onclick="select_all_fam_chk();" />
		</th>
	{/if}
	{if $col == "edit" || $col == "check" || $col == "forward" || $col == "delete" || $col == "undelete"}
		{assign var="edit_cols_num" value=$edit_cols_num+1}
		<th class="ko_list"></th>
	{/if}
{/foreach}



{foreach from=$list.header item=h}
	<th class="{if $h.class}{$h.class}{else}ko_list{/if}">
	<span style="white-space:nowrap">
	{if $list.sort.show && $h.sort != ""}
		{assign var="type" value="disabled"}
		{if $list.sort.akt == $h.sort AND $list.sort.akt_order == "DESC"} {assign var="type" value="enabled"} {/if}
		<a href="javascript:sendReq('../{$module}/inc/ajax.php', 'action,sort,sort_order,sesid', '{$list.sort.action},{$h.sort},DESC,{$sesid}', do_element);">
		<img src="{$ko_path}images/icon_arrow_down_{$type}.gif" alt="sort" border="0" title="{$label_list_sort_desc}" />
		</a>
	{/if}

	{$h.name}

	{if $list.sort.show && $h.sort != ""}
		{assign var="type" value="disabled"}
		{if $list.sort.akt == $h.sort AND $list.sort.akt_order == "ASC"} {assign var="type" value="enabled"} {/if}
		<a href="javascript:sendReq('../{$module}/inc/ajax.php', 'action,sort,sort_order,sesid', '{$list.sort.action},{$h.sort},ASC,{$sesid}', do_element);">
		<img src="{$ko_path}images/icon_arrow_up_{$type}.gif" alt="sort" border="0" title="{$label_list_sort_asc}" />
		</a>
	{/if}
	</span>
	</th>
{/foreach}
</tr>

{foreach from=$list.data item=l key=row}
	<tr class="{cycle values="ko_list_even, ko_list_odd"} {$list.meta.$row.rowclass}" onmousedown="{$l.rowclick_code}">

	{if $edit_cols.chk}
		<!-- Checkbox -->
		<td width="20">
			<input type="checkbox" name="chk[{$list.meta.$row.id}]" id="chk[{$list.meta.$row.id}]" />
		</td>
	{/if}

	{if $edit_cols.numberfield}
		<td width="20">
			<input type="text" onclick="return false;" name="txt[{$list.meta.$row.id}]" size="{$list.meta.$row.numberfield_size}" maxlength="{$list.meta.$row.numberfield_size}" />
		</td>
	{/if}

	{if $edit_cols.chk2}
		<!-- Familien-Checkbox -->
		<td width="20">
		{if $l.show_fam_checkbox}
			<input type="checkbox" name="famchk[{$l.famid}]" />
		{else}
			&nbsp;
		{/if}
		</td>
	{/if}

	{if $edit_cols.edit}
		<td width="20">
		{if $list.meta.$row.edit}
			<input type="image" src="{$ko_path}images/button_edit.gif" alt="{$label.alt_edit}" title="{$label.alt_edit}" onclick="javascript:set_action('{$list.actions.edit.action}'); set_hidden_value('id', '{$list.meta.$row.id}');" />
		{else}
			&nbsp;
		{/if}
		</td>
	{/if}
	{if $edit_cols.check}
		<td width="20">
		{if $list.meta.$row.check}
			<input type="image" src="{$ko_path}images/button_check.png" alt="{$label.alt_check}" title="{$label.alt_check}" onclick="javascript:{$list.actions.check.additional_js}set_action('{$list.actions.check.action}'); set_hidden_value('id', '{$list.meta.$row.id}');" />
		{/if}
		</td>
	{/if}
	{if $edit_cols.send}
		<td width="20">
		<input type="image" src="{$ko_path}images/forward.gif" alt="{$label.alt_send}" title="{$label.alt_send}" onclick="" />
		</td>
	{/if}
	{if $edit_cols.undelete}
		<td width="20">
		<input type="image" src="{$ko_path}images/undelete.png" alt="{$label.alt_undelete}" title="{$label.alt_undelete}" onclick="" />
		</td>
	{/if}
	{if $edit_cols.delete}
		<td width="20">
		{if $list.meta.$row.delete}
			<input type="image" src="{$ko_path}images/button_delete.gif" alt="{$label.alt_delete}" title="{$label.alt_delete}" onclick="javascript:{if $list.actions.delete.confirm}c=confirm('{$label.confirm_delete}'); if(!c) return false; {/if}set_action('{$list.actions.delete.action}'); set_hidden_value('id', '{$list.meta.$row.id}');" />
		{else}
			&nbsp;
		{/if}
		</td>
	{/if}

	{assign var="col_counter" value=0}
	{foreach from=$l item=c}
		<td {$list.meta.colparams.$col_counter}>
		<label for="chk[{$list.meta.$row.id}]" />
		{$c}
		</label>
		</td>
		{assign var="col_counter" value=$col_counter+1}
	{/foreach}

	</tr>
{/foreach}


{if $show_multiedit}
	<tr>
	<th class="ko_list_footer" colspan="{$edit_cols_num}" align="left">
		{if $list_check_disabled}
			&nbsp;
		{else}
			<img src="{$ko_path}images/icon_checked.gif" border="0" width="13" height="13" title="{$label_list_check}" alt="{$label_list_check}" onclick="select_all_list_chk();" />
		{/if}
	</th>
	{foreach from=$multiedit_cols item=c}
		<th class="ko_list_footer" align="right">
			{if $c != ""}
				<input type="image" src="{$ko_path}images/button_edit.gif" alt="{$multiedit_list_title}" title="{$multiedit_list_title}" onclick="set_action('multiedit');set_hidden_value('id', '{$c}');" />
			{else}
				&nbsp;
			{/if}
		</th>
	{/foreach}
	</tr>
{/if}


{if $tpl_show_sort_cols}
	<tr>
	{if $tpl_show_3cols}
		<th class="ko_list_footer" colspan="3" align="left">
	{elseif $tpl_show_4cols_leute}
		<th class="ko_list_footer" colspan="4" align="left">
	{else}
		<th class="ko_list_footer" align="left">
	{/if}
	&nbsp;
	</th>
	{foreach from=$tpl_sort_cols item=c}
		<th class="ko_list_footer" align="center">
			{if $c != ""}
				<img src="{$ko_path}images/icon_arrow_left.png" alt="left" title="{$label_list_col_left}" onclick="sendReq('../{$module}/inc/ajax.php', 'action,col,sesid', 'movecolleft,{$c},{$sesid}', do_element);" />
				<img src="{$ko_path}images/icon_arrow_right.png" alt="right" title="{$label_list_col_right}" onclick="sendReq('../{$module}/inc/ajax.php', 'action,col,sesid', 'movecolright,{$c},{$sesid}', do_element);" />
			{else}
				&nbsp;
			{/if}
		</th>
	{/foreach}
	</tr>
{/if}
</table>


{if !$tpl_hide_header}
	<div align="right">
	{$stats.start} - {$stats.end} {$stats.oftotal} {$stats.total}
	&nbsp;&nbsp;&nbsp;

	{if $show_page_select}
		{$show_page_select_label}: 
		<select name="sel_list_page" size="0" onchange="sendReq('../{$module}/inc/ajax.php', 'action,set_start,sesid', 'setstart,'+this.options[this.selectedIndex].value+',{$sesid}', do_element);">
		{html_options values=$show_page_values output=$show_page_output selected=$show_page_selected}
		</select>
		&nbsp;&nbsp;&nbsp;
	{/if}


	{if $paging.prev neq ""}
		<a href="{$paging.prev}">
		<img src="{$ko_path}images/icon_arrow_left.png" border="0" alt="{$label_list_back}" title="{$label_list_back}" />
		</a>
	{else}
		<img src="{$ko_path}images/icon_arrow_left_disabled.png" border="0" alt="{$label_list_back}" title="{$label_list_back}" />
	{/if}

	{if $paging.next neq ""}
		<a href="{$paging.next}">
		<img src="{$ko_path}images/icon_arrow_right.png" border="0" alt="{$label_list_next}" title="{$label_list_next}" />
		</a>
	{else}
		<img src="{$ko_path}images/icon_arrow_right_disabled.png" border="0" alt="{$label_list_next}" title="{$label_list_next}" />
	{/if}
	&nbsp;

	</div>
{/if}


{if $list.footer.show}
	<table style="margin-left:12px" cellspacing="0" cellpadding="3">
	<tr><td style="border-left-style:solid;border-left-width:1px">&nbsp;</td></tr>
	
	{foreach from=$list.footer.data item=footer}
		<tr><td style="border-left-style:solid;border-left-width:1px;border-bottom-width:1px;border-bottom-style:solid;">
		&nbsp;{$footer.label}
		&nbsp;&nbsp;{$footer.button}
		</td></tr>
	{/foreach}

	</table>
{/if}
<br /><br />
